> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Release request

> Return the details of a Release request and its phone numbers.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/external-connects.yml get /external_connections/{id}/releases/{release_id}
openapi: 3.1.0
info:
  title: Telnyx External Connects API
  version: 2.0.0
  description: API for External connects.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /external_connections/{id}/releases/{release_id}:
    get:
      tags:
        - External Connections
      summary: Retrieve a Release request
      description: Return the details of a Release request and its phone numbers.
      operationId: GetExternalConnectionRelease
      parameters:
        - $ref: '#/components/parameters/external-voice-integrations_id'
        - $ref: '#/components/parameters/release_id'
      responses:
        '200':
          $ref: '#/components/responses/GetReleaseResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not found
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const release = await client.externalConnections.releases.retrieve(
              '7b6a6449-b055-45a6-81f6-f6f0dffa4cc6',
              { id: '1293384261075731499' },
            );

            console.log(release.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            release = client.external_connections.releases.retrieve(
                release_id="7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
                id="1293384261075731499",
            )
            print(release.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\trelease, err := client.ExternalConnections.Releases.Get(\n\t\tcontext.TODO(),\n\t\t\"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6\",\n\t\ttelnyx.ExternalConnectionReleaseGetParams{\n\t\t\tID: \"1293384261075731499\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", release.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.externalconnections.releases.ReleaseRetrieveParams;

            import
            com.telnyx.sdk.models.externalconnections.releases.ReleaseRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ReleaseRetrieveParams params = ReleaseRetrieveParams.builder()
                        .id("1293384261075731499")
                        .releaseId("7b6a6449-b055-45a6-81f6-f6f0dffa4cc6")
                        .build();
                    ReleaseRetrieveResponse release = client.externalConnections().releases().retrieve(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            release = telnyx.external_connections.releases.retrieve(
              "7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
              id: "1293384261075731499"
            )

            puts(release)
        - lang: CLI
          source: |-
            telnyx external-connections:releases retrieve \
              --api-key 'My API Key' \
              --id 1293384261075731499 \
              --release-id 7b6a6449-b055-45a6-81f6-f6f0dffa4cc6
components:
  parameters:
    external-voice-integrations_id:
      name: id
      description: Identifies the resource.
      in: path
      required: true
      schema:
        type: string
        example: '1293384261075731499'
        x-format: int64
    release_id:
      name: release_id
      description: Identifies a Release request
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 7b6a6449-b055-45a6-81f6-f6f0dffa4cc6
  responses:
    GetReleaseResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            title: Get Release Response
            properties:
              data:
                $ref: '#/components/schemas/Release'
  schemas:
    Release:
      type: object
      title: Phone Number Release
      properties:
        ticket_id:
          $ref: '#/components/schemas/UUID'
        tenant_id:
          type: string
          format: uuid
          example: ea175aba-f47c-4702-9400-efaa42688048
        status:
          type: string
          enum:
            - pending_upload
            - pending
            - in_progress
            - complete
            - failed
            - expired
            - unknown
          description: Represents the status of the release on Microsoft Teams.
          example: pending
          default: pending_upload
        error_message:
          type: string
          description: A message set if there is an error with the upload process.
        telephone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/TnReleaseEntry'
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2018-02-02T22:25:27.521Z'
    UUID:
      title: UUID
      type: string
      format: uuid
      description: Uniquely identifies the resource.
      example: 542c3bca-d247-42bc-8fe7-e01d16ecd761
    TnReleaseEntry:
      type: object
      title: TnReleaseEntry
      properties:
        phone_number:
          type: string
          description: Phone number in E164 format.
        number_id:
          type: string
          description: Phone number ID from the Telnyx API.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````